# Darsman Core

## Requirements

- Python (== 3.10)
- grpcio-tools (>=1.62.1)
- pydantic (>=2.7.0)

## Installation

Run the following command using pip:

```bash
    pip install dmcb
```

## Sample code

```python
import asyncio
from dmcb import Basket, Trade


basket = Basket()

create_response = asyncio.run(basket.create("owner identifier"))
print(create_response)

# --------------------------------

trade = Trade()

start_response = asyncio.run(
    trade.start(
        basket_identifier="basket identifier",
        runner="some runner",
        extras="some extras",
    )
)
print(start_response)

```
