from .grpc_lib.core_pb2 import (
    AddItemRequest,
    BasketRequest,
    BasketRetrieveRequest,
    RemoveItemRequest,
    TradeRequest,
    TradeTransactionRequest,
)
from .grpc_lib.core_pb2_grpc import BasketControllerStub, TradeControllerStub

SUCCESS_CODE = "0"


class BasketRequestMessages:
    RTRIEVE = BasketRetrieveRequest()
    CREATE = BasketRequest()
    ADD_ITEM = AddItemRequest()
    REMOVE_ITEM = RemoveItemRequest()


class BasketRPCMethodNames:
    RTRIEVE = "Retrieve"
    CREATE = "Create"
    ADD_ITEM = "AddItem"
    REMOVE_ITEM = "RemoveItem"


class TradeRequestMessages:
    START = TradeRequest()
    TRANSACTION = TradeTransactionRequest()


class TradeRPCMethodNames:
    START = "Start"


class ControllerStubs:
    BASKET = BasketControllerStub()
    TRADE = TradeControllerStub()
